## renpy 6.10.2-1

=== Makefile ===
jedit.exe: jedit.cc
	g++ -mwindows -Os -o jedit.exe jedit.cc 
	strip jedit.exe

=== debian/changelog ===
renpy (6.10.2-1) unstable; urgency=low

  * Initial release

 -- Yuting Cui <yutingcui@gmail.com>  Thu, 10 Jun 2010 14:50:03 +0800

=== debian/control ===
Source: renpy
Priority: extra
Maintainer: Yuting Cui <yutingcui@gmail.com>
XSBC-Original-Maintainer: PyTom <pytom@bishoujo.us>
Build-Depends: debhelper (>= 5), python2.5-dev, python-pygame, lib-renpy-fribidi-dev (>= 0.19.2-3), zlib1g-dev, libpng12-dev, libsdl1.2-dev, libfreetype6-dev, libavformat-dev, libavcodec-dev, libavutil-dev, libswscale-dev
Standards-Version: 3.8.0
Section: python
XS-Python-Version: = 2.5

Package: python-renpy
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, lib-renpy-fribidi0 (>= 0.19.2-3), python-pygame, zlib1g, libpng12-0, libsdl1.2, libfreetype6, libavformat52, libavcodec52, libavutil49, libswscale0
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: a cross-platform visual novel engine
 Ren'Py is a free and cross-platform visual novel engine that helps you
 use words, pictures, and sounds to tell stories with the computer. Its
 easy and efficient script language makes it possible for non-programmers
 to make visual novels, while its Python support allows for complex
 simulation games.

Package: renpy-launcher
Architecture: any
Section: user/games
Priority: extra
XB-Python-Version: ${python:Versions}
XB-Maemo-Display-Name: Ren'Py
Depends: ${python:Depends}, python-renpy, icedtea6
Description: Launcher of the Ren'Py authoring tools
 This is the launcher of Ren'Py. Ren'Py is a free and cross-platform
 visual novel engine that helps you use words, pictures, and sounds to
 tell stories with the computer. Its easy and efficient script language
 makes it possible for non-programmers to make visual novels, while its
 Python support allows for complex simulation games.
 .
 This package also includes Ren'Py's documentation and examples.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oGCgcOCX2cA4IAABR8SURBVGjexZlZkFzXed9/5669r9M9+wrMYADM
 YN9BwgS4iTQlWpZF2ZQtVSTFUdmpMl+UpPSQpJSk8hCXHMkuVyVeIzF2JFEy
 TZYiixRNUgR3YiE2YsfMYPaZnt6Xu52ThxmApEiCohWVT1V33equ7vv97ree
 /xH84mt404ahr9531+FPNxqNVrlSu1Iols4ce/P069Vq4+i6wf7z5y5c8vkl
 LfEL/Dayrr/3kdsP7PrKb3zivtTO7VuxLJMr16a4dPkqsWiYesvl+Jtnpn/y
 3ItPXLpy7dv/4d898tq/+ff/VQHqnxXAMoytD95/13/ft3vbHeuH+tk2PqYi
 kQhSSiGEwNB1Tp19i1Nnz6kHf/VjImRbPHv0Fb7/xD+c/PFPfvpfxjdvePzF
 V4/5/ywAG9YPfurTH7/3D0dHhgZ8Kdm7a4dqy2aFVOrmnyml0DQN1/P4uyd+
 xD13HlLZTEYEQcCLrx7jT/7sW8+89NqxrzSbrRO/KID+UWD37dzy5d/85P1/
 fPv+3R1T03NqbNMG+np7hFIKlEKIVQQhBEopdF1nbPMoz73wkujqaMc0DTXU
 3ys+duehoXg0+vClKxNutVY7Afi/dIADu7d+6YF7D//hkdv3Jc5cuKL6+3vF
 +MZRAavG3jD+Ju0aBMD6oUGOnzpLV0deKFCWZbF7x1Z70+jwPRNT0+tn5hZe
 Bqq/NICR9QMP3HfXoT+64+DurBco5fuBGOjvI5NJI6V8j/HvhLixOvJtTExN
 k0mnxFroqvVDA2LLpg1jpXJlz/lLV98AFn8ZAMOfuPfwf77z0L4tqWRCzcwt
 io6OdjasG3qX8e/vhVVLBaBpGpFQiJbrYNs2gJBSqp7uTrFh/VC/63p7Tp09
 fwqY/v8JYNz9K/s/u2fH+O8ND/VjGKYQwiCdTpJOp94FoGnazWvf92k0mrQc
 F9d1cTwX3/NRKPwgQCkIggAplfB8X3V25Onv7e5Sim2nzpy/qFCLP29eGLek
 07WRfC77+V3bxvA9X3l+U+RyWTra80gp0TQNpRSu61KrN1aNCgJqjSZLhQKB
 L9ENHU0IbMtGMwSmYWLoBqZpYNs2tmUK13HVxpH16ou//dCuZCL+ZxNT048l
 47GjcwvLV5569qeLQPGfVEZ/Zf+uz95x255H7zy0DykVdihCPp8nnUxQbzSo
 1xs4rku5XGZ2fhHP87Esi2w2w8i6QWLRCEKIVc/8zJ3U2pta62lKKWUYBqZh
 iNn5BU68eY4r1yYn5hcXnwwC+aPH/+9Tp69Pz01/FID2++869PXf/dynH45F
 IyoSiYhMJotCEAQ+5XKVxaVlfCnJpNOMDg8RjawarAApJRKF5/lU63WazRa+
 66H8gMAPUFIiA4lUEqHeTnqhCTRdV5ZtCiscolSpcuzkGc5duPRktVr/y2ee
 f+nl+cXFxRvP4ANDaGigN59vy9yZy2ao1evCcVzqjQblSpVGs0VbNsv+vbsI
 h0KrBqtVg8uVKsVSGa/RQnc9/Fqd0mKBRrGMW6kTtFp4jRae4+E6Lo7vEwQS
 VykCFJ4QuEIIT4CZjtE53Keyuay4785DHz997vzHT7x55lulcvkPWo5TuiXA
 YG93T09XR7vjukilkAocx2NwoJ9MKoVac37DcVhaLlApVvDrDRqLBerzS1As
 Y1frZBSMp9K0x2PosSTEk6Bp74ojN1A0g4C6H1D1fWpewGylwpLvkUmnRKwt
 pZrNltA1pG1b3aZphFqOc8skTrqed9/wUB+e76tMJisGBwawbQsQ1BoNFheX
 KC+XKC4WKE7PoxYLWKUKG2Jx7sjnCLe1Q17cmC1WXzdWEKzW2BuzlQaWppM0
 DcACAWPJCMdn55mZmFUyHReFUrly9OXj3z5x+txXgcqtqlDv3Xcc+PLu7WO/
 09XZTjwWE4ODAyA0JqZmWJlfoji3xPzkDI3ZRbKOx/ZcjqFMjkRn5+rTlXK1
 xKrVuJZq1Vv6jZ7xzuRb+w4hECgafoCrFEnTZCSTIqiUxVsXrs7+/atvfOOH
 P3n+6z9bXt+VxIau7X74Uw/8223jGz+1Z8c4rucpJXRhCZPizAJLk7MsTMwQ
 aXlsymQYSsXpi4YxTZ2VpoOtaUQNnVYgMTVx0+DFlkPWttCFQCkQQnFj9BNr
 QGptGFTAZL1FxNDJhWzenJ/jm2+88X/++tixLwH1D+wDyUT8Y5//zIP/ce+O
 8b3dXR1cu3ZdtVaqQtVd3JUqjaUibXaYfakMvV1hspZB2jJACJYbLSpewGA0
 xFKzia7pZGyLludxuVYnZlrkQ6ueCBSYQiClxAkCIqaJADylUApsQ0cXgulG
 i7ChkwhHGIjFu39tZCT1+MWL7wHQACLh0L3/4rc++c0De7bvNU1TTU3OqMrE
 vKiemkBdXSDtKDa25djZ0cb2TIL1iQiBDFhyXE6slHmzWCVrmzia4Gy1RljX
 KcqA09UaJ+p1OsM2ABU/wJMSAFdK5hoNGv5qPpQch8VmE1DkbZOqH7DiekgE
 aNrOTCQSe99OHI9F9n7mwfu+sW/nlmFD15TnB8LUNdKYEI6i6RqdYZvheIT2
 kIWmCRCChUaLU5UyZV+xuy2LdByeXFkg5AkaMmAyFuJaTdAeCmEbOiXHZ6Hl
 0BMJrYa+gLJSyJbDsGVSdD0WWi3ykTAhy0AFPgvNFtLzMDQtUnGcHHDhPR7Q
 deOz4bC9oVSpEgqFRE9XO7lsBt/zVMTQ1WAszFAsTGckhCYEKHAcl2vNBnM6
 hGwLp1bl9aDFpOdjeS4nTMW5QgFSMcbCYfxAcbFS52KpfDMvNAS+obFsaOBL
 MDVKQNUNAIEMfCqOR9V1VEc8RsP3h96v6Biapn3v6uT0qZbjjly+NjWUzaS6
 s6FIR97zB8bScUxde2fzByG4Viph97SRLTewl8vUTUFs2zY2nbhENBnF2jjA
 tVdOEvMlHZEw1+tNXisskYpGMN4xvSrToGTqvD43x7xyudx02RyO0hYysFC4
 ApwgEP3JJFKp/tUa++4qZKwUSy/88OmfvgBEgNzo5pH0Q5s2H9rT3vONmGlQ
 dD2sG40HcP2AZsgikksTLFfp1AQd+3fi5dtpaFcYPHIbK4Vl9t91iDNPPoPW
 2cnpZhPa0xjN4O1SqgnMaBwsi9b0Mj0dOc7OLzFXrZGzdCKGjkLgKkVHNEo6
 FOp4Pw9o77huAJPnz148qc0tz8Z1g7ofqIrnE6jVyq1QNDwflYiyVKkR8iWx
 fBude3dQKVaJbtlAbmQdDQTtQwNUnBYlx8PcMEimM49y/NX+pRS6ZZFc10/7
 0ACBlPT3dDM41E+h1WKmVsPWNXzfI2zodMZi9KdSuY1tbbcEuLFCFSkHDdPE
 V1JUvQAnWG1MnlQ0/QDXNCh6PrrrYm4eJrFuEBG22Hr3Iay2DJn+XlZqDbJD
 fVx0Wmy9Yx+ReAwVyNWaLyWFwCe5eZTO/l5KUlKzLLp7uih4krmWixMEWEKR
 CYVIhW3ao9HESDarfeh+YDzXZlqG0espkGq19EX9gKoXoGuCiusSGAkG1vUy
 Vahi9nbxrb99jMeffI70ky8zNjrEA/fsRSqPjsF+qstFsh0dtPd0c1mdouX7
 TNbrLPZ1Eq+U+elTz9GorLA5Hieq6whg2fUp1B225bJ0x+PoukHStmO9icSH
 A+zt6raSdqi/6gcYQNMPqAUBJc8jahhUHA9f19m4cZRkKsM3Hv0eb5yvUm/Z
 eFeXSObW8+rZRY7sHWQlHiPf14MwTdZvHOFq9HkKXsCbIZvzi0We/uqfE7IT
 DHf2MaEpUkoxVyuTSyRZH0+SjUQJmyYACduOdMRi2oeG0GA6ZcYsa6Do+Thr
 M33d81lxfZpBQEtKlG4Qz6SYKxc5cbFIpRlCt6JYdoQ3Tl7lrx79EfFYnN7h
 dQxtHAEhiCUTxAZ7OV6rE9u2hb979hoLxRB1P06JOGcm57i8OEczHsLXNHTD
 ouhLnGC18UUty8hEInwoQNQO2YauD9XWAAAagaS0BiABKQSGbfPc0ddZLLQQ
 QhB4LZR0mJ2ZZnZuESEE7R15bMta3Z4aBpvvOkj84E6kGWFxqUkoFKJcLlMp
 lymViujRMIcO7ieERtnzmG06q51bCJq+ryprI/QtAa5VqinTNGO+VLTW6KVa
 ndcbfoBE4HsBruszPj7Kpg0DpBIWnluhXl0hle1kx5ZhNCHQdf2mNiSEoHeo
 n6237aFcbdDZ1UGpcB23VaGvr5exzSNErRC2JzGBuh9Q8XxqfgAKLi4vB69M
 TX2oKqFnotEDBwbXPaQ0QymlxA0v6EJgahoNLyCIh8mt72fHzu3s2rqOhmdh
 RzvZPLaVWFjjyw8foL+3/eZ++IbkogmBZVmEQyEcFSYaz7N92zCff+g2Duwe
 RxYrXH7pOCKQyLV7Rg1DCemJH1++PH2+UPib6UqlfqskNgOpNsXsCFU/oOHL
 m/O2KyXNIMBH4VXrBE2HUCjEyLpeHvlClhOnLtBsNRnbuIuu9sy7NKKfvR7s
 zfOvHgqxUqrSkc+QSkZpOQ4rU7N45SqWbYNS+EpR8QNRrpVZajTKxVYruGUV
 OtDdbXbG42MNqfCUEu8UwX2pqPurmk59pYzTaIJYNSiViHD7vi0opTAM4wOV
 unfINeTbkuSyCTRNwzANJi9eYfr8FUzDuHnbQCo8qZgpldRirbZSajblLXPA
 F5pVcp0tNc9dVdTEu59eM5A4QK1YorKwiAokQjMQQscwDEzTfI9SVy6XWV4u
 UK1W36WXCiHQ1kYU1/eZvzpJ+fqcMg1TLVTKVFotis0mTuCz1GhcWqjXy60g
 ULf0wNXiSjgQ2qipGbR8l6VqlWwsRsS0lFKItYJAxIow+dpJzFgRLVkjEOsY
 GtyBaZpvx7um8eKrx+joGyEaS7BUqzI1fZ7xzRuRUt4EMU2TiWuTTJw6TzoU
 puq2xLXCsjPUltOuLi8ZXWFLXK9WT0xXKlO+lPJWAFqp2dzcEQSELYtSs+G9
 MTVRXp/LZ4bz7Vo1tqC6RqTw6hrNZUj3LWEmztN0Yjito7x1vsTo6GEs07pp
 3ObRYRLpLJqm40Z1tFz0pvFCCDRd5/r0DM9//4e4E7MqHY6I09Nzp4qNOhGz
 e8uV5aXr6+KR3kKj+aoQXOmOx70LhcIHVyFD0yNh04zNlotzJ6YnX3r+ysWX
 ry2uRAbG6DzwazFRke0kO+Hu+3W27bB59UwnyfbfwU7eyZULf0vY6iaZyt0M
 DduyECoA6aGhEEIoIYTQNI1ypcLj3/179eK3fyDMQhlTN8SV5SXn+csX/lQX
 mpytlLZcLxUfM1ALSslHj05NnXaDoOb+TBi90wPKDfxTVwtLn7taWHpbWh8x
 DtQi1e/E05/quWfPZ5ienaTiPIa/dJr2zkN0920m05ZjbmYXb535LtnU76tY
 On8jF8SaN9SNvJidW5B/890ftF545un63pFE7o67e0lmBNVGncq5YkUtVnuf
 Ojl51raMLxlCi15bmn/Cl8EZoF513Y8m7gLcf1dHe2dnrgejm0Q6x1hbJ4uT
 5ylcP0lbvpNoPLkay/Y6Duw/wUNffNCTqv/M7z/80LZMNiMM0wQU/3D0lfnL
 Vyd//N0fPPHU4Z196vOf2P2/D2zpQwqPUNynp09XO3ety912MPXlJ56e+G9f
 +6M3//j9VIiPCqDFoqGe/p4QuqYpTTcEQCjSTzrViTQ0pq/P0D/QTzKVIRoJ
 qSe/fdD6wiMvbdjckxedmSz4Hp5U6pGnnz95aXblD37z3i2xkb62Z/eP92mO
 5yvDRCi5tkvWXbVzW1L4dH1FCTn9n75++k8A+U8+H0ik+3eMDCW/dt/hdLtm
 9Yt0bjuXr0zQrM3TmV5kdgH+51/9kJGREZJxj6h+XNimr37jE33W1781IUZH
 x1U8n0PlO7SuwZHh2/bt/r0LF6/03bOz+3AqHlIIhKaDbkiskMSKSCGMQPUN
 REWx5IwBr529UJ76yAD5XFt43/59v/rAPdu/du/tHbu3jXrKU0kh7HEe+96j
 LM2+wOYRnWRknvENLtnEIpaYxRSzaFoglgsujnGEph4XWigsStWaSiYskUil
 Q1/4l/96y8x8QU1PXKYtHRaGAYYpMWyJHZIYViA0oVRbxk4Wy27px8/OvQI4
 HwVAP3Lktl//0hc/99hnPnmkz116VqXiMdA14bgtDu9dYduGKTRRxzAcUnEP
 S8xi69fx/QDP9zlxvpfDd/8uAwODKN3A9ZUY3biFeDTM5StXGdiwQzz97HHR
 chx6cya6qTBDAUZIYlgKhBKxlMX8XLO/LW3/5PWTK7MfGOPv81ncMs0H9uzc
 wspKWdVrSbEwGRXFiRJ67fsI7xi+r6Hk6k89V8P3TKQyCEU0Llz2MayDaGaM
 UCRJPt9Jo+lghWLkOwfo7x/gf/2Pb5JMJlhpRbg2V0PXxZq+KN7WgH2lRtcn
 uvp6Ils+wM4PBChFIuG/OHr0RRKZHpEY/HUKjU6aLRM/kChl4tQMAk+7eZCn
 6QpdA6flcX56M7Mzy7zx4nM0G3V0w6It147v+/iex8zVS+zcOEQyEcPxdWZK
 OkoFCO3GkY0AJZCBYnRDEsvSb9c0kf1IOXDHof3rtm4d/9ymsZ30rttKpm8n
 CytlpDdDJiWxwhLdXFUqdB1AUq0H/OPxMK+9bjHn6MhWjVpxmfbuHnK5PHPz
 8xi64NjRZ3BaLcK2jULDc5u0JRpksjqGHWCYEqGBEEoIU2NisiYTcfPJE6eL
 Kz9vGQ3VavWdg/29tFoNZUdSoum4TJXSlKbbaDUK9PToSOWilEAJnboj+M5T
 K8TDB7mrV3H0zDlOOl3YfoMXPI99hw7TbNSZm7yILl2SiTi1eoOwbVFp6dQc
 hW4oNP3to9kb7S8Rt/qGhxLhn7sP7NqxJZzPte2IREJ4blMopZiYuMbc7Axn
 3nJ59qUWB7cPEo0EeFJRaRlEU+u5WJhk18oplo4cYdzS+cdAonST2uIUP3ri
 O4xsGuetk6/TloihFCTiMUzTw3dtEKseFbp6z6mdZWmpZGJtZ/8+6/8Bz2Lk
 jDDE8+MAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export RENPY_DEPS_INSTALL=/usr

build: build-stamp
build-stamp:
	dh_testdir
	cd module && python2.5 setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-cd module && python2.5 setup.py clean
	cd module && rm -f *.pyc *.pyo
	cd module && rm -fr build
	cd module && rm -f Setup

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	mkdir -p debian/python-renpy/opt/renpy
	cd module && python2.5 setup.py install --root=../debian/python-renpy
	cp -r renpy common debian/python-renpy/opt/renpy/
	mkdir -p debian/renpy-launcher/opt/renpy
	cp -r renpy.sh renpy.py doc launcher the_question template tutorial jedit debian/renpy-launcher/opt/renpy/
	mkdir -p debian/renpy-launcher/usr/share/applications/hildon
	mkdir -p debian/renpy-launcher/usr/share/icons/hicolor/26x26/apps
	mkdir -p debian/renpy-launcher/usr/share/icons/hicolor/40x40/apps
	mkdir -p debian/renpy-launcher/usr/share/icons/hicolor/scalable/apps
	cp data/renpy.desktop debian/renpy-launcher/usr/share/applications/hildon
	cp data/icons/26x26/renpy.png debian/renpy-launcher/usr/share/icons/hicolor/26x26/apps
	cp data/icons/40x40/renpy.png debian/renpy-launcher/usr/share/icons/hicolor/40x40/apps
	cp data/icons/64x64/renpy.png debian/renpy-launcher/usr/share/icons/hicolor/scalable/apps

binary-indep: 

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a CHANGELOG.txt
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_pycentral -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

http://www.renpy.org/dl/6.10.2/renpy-(.*)-source\.tar\.bz2

## renpy 6.12.2

=== debian/changelog ===
renpy (6.12.2-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release
  * Refreshed patches
  * Added Build Dependencies: zlib1g-dev, libfreetype6-dev and
    libpng12-dev. Closes: #633672
  * Upgraded Standards-Version from 3.9.1 to 3.9.2

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 15 Aug 2011 02:37:29 +0200

renpy (6.12.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release
  * Refreshed patches
  * Upgraded to Debian Source Format 3 (quilt)

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 11 Feb 2011 00:14:54 +0100

renpy (6.11.0-1) experimental; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release
  * Added Build Dependency: libglew1.5-dev
  * Ren'Py requires at least python 2.6
  * Upgraded Standards-Version from 3.8.4 to 3.9.1
  * Refreshed patches

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 23 Aug 2010 17:01:55 +0200

renpy (6.10.2.dfsg1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release. Closes: #579352
  * Added libfribidi-dev to Build-Depends
  * Upgraded Standards Version to 3.8.4
  * Fixed debian/watch file. Thanks to Yan Morin. Closes: #530950
  * Added 04_editor.patch to call Debian's default editor instead of jEdit.
    Closes: #517891

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 29 Apr 2010 20:49:29 +0200

renpy (6.9.3.dfsg1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release
    - This release fixes several bugs with Ren'Py, includes better support
      for running from a portable storage device, and includes a rewritten
      Ren'Py Launcher.
  * Upgraded Standards Version to 3.8.3
  * Added get-orig-source target

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 28 Aug 2009 18:09:32 +0200

renpy (6.9.2-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release
  * Refreshed patches
  * Requires pygame 1.8.1 to run
  * Added libavutil-dev, libavformat-dev, libavcodec-dev and libswscale-dev
    to Build-Depends
  * Upgraded Standards-Version from 3.8.0 to 3.8.1

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 12 Jun 2009 01:29:05 +0200

renpy (6.7.1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release.
  * Upstream tarball is shipped clean now. Removed unneccesary stuff from rules.
  * Bumped Standards Version from 3.7.3 to 3.8.0
  * Refreshed patches

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 13 Nov 2008 11:47:33 +0100

renpy (6.6.3.dfsg1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release
  * Compile the module for all python versions
  * Upgraded Standards-Version to 3.8.0
  * Build-depend on debhelper >= 7
  * Changed docs section from Apps/Programming to Programming/Python

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 16 Aug 2008 00:29:23 +0200

renpy (6.6.2.dfsg1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release.
  * Upgraded Standards-Version from 3.7.2 to 3.7.3
  * Added new binary packages: renpy-doc, renpy-thequestion
  * Added Suggests renpy to python-renpy
  * Removed Homepage from long description of packages
  * Capitalize "Python" in package descriptions
  * Assigned python-renpy to section python and renpy-doc to section doc

  [ Emmet Hikory ]
  * Added watch file

  [ Jon Dowland ]
  * Added Homepage: control field to source stanza

  [ Ansgar Burchardt ]
  * Removed deprecated Encoding key from .desktop file
  * debian/control: Changed XS-Vcs-* to Vcs-*

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 15 May 2008 14:24:34 +0000

renpy (6.3.1.ds1-1) unstable; urgency=low

  * New Upstream Release.

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun, 05 Aug 2007 20:01:33 +0000

renpy (6.3.0.ds1-1) unstable; urgency=low

  * New Upstream Release.

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 26 Jun 2007 15:22:52 +0000

renpy (6.2.0.ds1-1) unstable; urgency=low

  *  New Upstream Release. First upload to Debian archive.

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 01 May 2007 21:40:44 +0200

renpy (5.6.4.ds1-1) unstable; urgency=low

  * New Upstream Release.

  [ Gonéri Le Bouder ]
  * call dh_desktop to run update-desktop-database

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 14 Dec 2006 18:37:32 +0000

renpy (5.6.2.ds1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release.
  * Modified building system for using quilt.
  * Renamed binary package renpy-module to python-renpy.
  * Added man page.
  * Upgraded compat to 5.

  [ Gonéri Le Bouder ]
  * remove Applications from Categorie in the desktop file since it's not
    an official categorie

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 13 Oct 2006 03:14:27 +0200

renpy (5.6.0-1) unstable; urgency=low

  * New Upstream Release.
  * Upgraded version dependency for debhelper from >= 4.0.0 to >= 5.0.37.2
    for dh_python compatibility level 2.

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 11 Sep 2006 16:09:40 +0200

renpy (5.5.4-1) unstable; urgency=low

  * New Upstream Release.
  * Adapted for the python transition.
  * Updated Standards-Version to 3.7.2 (no changes needed).

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 18 Aug 2006 21:35:19 +0200

renpy (5.5.2b-1) unstable; urgency=low

  * New Upstream Release.

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 29 Jun 2006 23:05:22 +0200

renpy (5.5.2a-1) unstable; urgency=low

  * New Upstream Release.

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed,  7 Jun 2006 23:04:53 +0200

renpy (5.4.3-1) unstable; urgency=low

  * Initial release.

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 17 Mar 2006 16:57:21 +0100

=== debian/control ===
Source: renpy
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.13.19), quilt,
 python-all-dev, python-support (>= 0.6.4), python-setuptools,
 python-pygame (>= 1.8.1), libsdl1.2-dev, libsdl-image1.2-dev,
 libsdl-sound1.2-dev, libsdl-ttf2.0-dev, libmodplug-dev, libspeex-dev,
 libavutil-dev, libavformat-dev, libavcodec-dev, libswscale-dev,
 libfribidi-dev, libglew1.5-dev, zlib1g-dev, libfreetype6-dev,
 libpng12-dev
Standards-Version: 3.9.2
Homepage: http://www.renpy.org/
XS-Python-Version: >= 2.6
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/renpy/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/renpy/?op=log

Package: renpy
Architecture: all
Depends: python-pygame (>= 1.8.1), python-renpy, ttf-dejavu-core,
 ${python:Depends}, ${misc:Depends}
Recommends: python-ctypes
Description: framework for developing visual-novel type games
 Ren'Py is a programming language and runtime, intended to ease the creation
 of visual-novel type games. It contains features that make it easy to
 display thoughts, dialogue, and menus; to display images to the user; to
 write game logic; and to support the saving and loading of games.
 .
 Ren'Py tries to be like an executable script, allowing you to get a working
 game without much more effort than is required to type the game script into
 the computer.
 .
 Ren'Py is implemented on top of Python, and that Python heritage shows
 through in many places. Many Ren'Py statements allow Python expressions
 to be used, and there are also Ren'Py statements that allow for the
 execution of arbitrary Python code. Many of the less-used features of
 Ren'Py are exposed to the user by way of Python. By only requiring use of
 the simplest features of Python, it's hoped that Ren'Py will be usable by
 all game authors.

Package: python-renpy
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Suggests: renpy
Description: framework for developing visual-novel type games - Python module
 Ren'Py is a programming language and runtime, intended to ease the creation
 of visual-novel type games. It contains features that make it easy to
 display thoughts, dialogue, and menus; to display images to the user; to
 write game logic; and to support the saving and loading of games.
 .
 This package includes the native Python module.

Package: renpy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: renpy
Description: framework for developing visual-novel type games - doc
 Ren'Py is a programming language and runtime, intended to ease the creation
 of visual-novel type games. It contains features that make it easy to
 display thoughts, dialogue, and menus; to display images to the user; to
 write game logic; and to support the saving and loading of games.
 .
 This package includes the documentation for Ren'Py.

Package: renpy-demo
Architecture: all
Depends: renpy (= ${source:Version}), ${python:Depends}, ${misc:Depends}
Description: framework for developing visual-novel type games - demo
 Ren'Py is a programming language and runtime, intended to ease the creation
 of visual-novel type games. It contains features that make it easy to
 display thoughts, dialogue, and menus; to display images to the user; to
 write game logic; and to support the saving and loading of games.
 .
 This package includes a full playable example showing the features of the
 framework.

Package: renpy-thequestion
Architecture: all
Depends: renpy (= ${source:Version}), ${python:Depends}, ${misc:Depends}
Description: the question, a simple and complete Ren'Py game
 Ren'Py is a programming language and runtime, intended to ease the creation
 of visual-novel type games. It contains features that make it easy to
 display thoughts, dialogue, and menus; to display images to the user; to
 write game logic; and to support the saving and loading of games.
 .
 This package includes a simple and complete Ren'Py game.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vs)
RENPY_DEPS_INSTALL="/usr::$(shell dirname "`find -O2 /usr/lib -name libfreetype.so 2>/dev/null`")"

patch:
	dh_testdir
	$(MAKE) -f /usr/share/quilt/quilt.make patch

configure: configure-stamp
configure-stamp:
	dh_testdir
	$(MAKE) -f /usr/share/quilt/quilt.make patch
	chmod 644 `find */ -name "*.py"`
	chmod +x renpy.py
	touch configure-stamp

build: build-stamp
build-stamp: configure $(PYVERS:%=build-python%)
	dh_testdir
	touch build-stamp

build-python%: configure-stamp
	dh_testdir
	export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL) ; \
		cd module && python$* setup.py build
	touch $@

clean: configure
	dh_testdir
	dh_testroot
	rm -rf `find . -name "*.rpyc"`
	rm -f build-stamp configure-stamp
	rm -f build-python* install-python*
	-export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL); cd module && python setup.py clean
	rm -rf module/build/

	rm -rfv renpy.app lib jedit
	rm -fv `find . -name "*.exe"`
	rm -fv `find . -name "*.dll"`
	rm -fv `find . -name "*.lib"`
	rm -fv `find . -name "*.pyc"`
	rm -fv `find . -name "*.rpyc"`
	rm -fv `find . -name "*.rpymc"`
	rm -fv `find . -name "*.pyo"`
	rm -fv `find . -name "*.so"`

	$(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean 

install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# common/ - A directory containing common script files that help Ren'Py work.
	dh_install -prenpy common/* usr/share/games/renpy/common/

	# renpy/ - Contains the python source code for Ren'Py.
	dh_install -prenpy  renpy/* usr/share/games/renpy/renpy/
	# data/ - Contains the data for the launcher.
	dh_install -prenpy  launcher/* usr/share/games/renpy/launcher/
	# Scripts that give additional features.
	dh_install -prenpy  template/* usr/share/games/renpy/template/

	dh_install -prenpy-demo tutorial/* usr/share/games/renpy/demo/
	chmod +x debian/renpy-demo.sh
	dh_install -prenpy-demo debian/renpy-demo.sh usr/share/games/renpy/

	dh_install -prenpy-thequestion the_question/* usr/share/games/renpy/the_question/
	chmod +x debian/renpy-the_question.sh
	dh_install -prenpy-thequestion debian/renpy-the_question.sh usr/share/games/renpy/

	dh_install -prenpy  renpy.py usr/share/games/renpy/
	dh_link -prenpy  usr/share/games/renpy/renpy.py usr/games/renpy
	dh_link -prenpy-demo usr/share/games/renpy/renpy-demo.sh usr/games/renpy-demo
	dh_link -prenpy-thequestion usr/share/games/renpy/renpy-the_question.sh usr/games/the_question

	dh_install -prenpy debian/renpy.xpm usr/share/pixmaps
	dh_install -prenpy debian/renpy.desktop usr/share/applications
	dh_install -prenpy-demo debian/renpy-demo.xpm usr/share/pixmaps
	dh_install -prenpy-demo debian/renpy-demo.desktop usr/share/applications
	dh_install -prenpy-thequestion debian/renpy-thequestion.xpm usr/share/pixmaps
	dh_install -prenpy-thequestion debian/renpy-thequestion.desktop usr/share/applications

	rm -f $(CURDIR)/debian/renpy/usr/share/games/renpy/common/DejaVuSans.ttf
	dh_link -prenpy /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
		usr/share/games/renpy/common/DejaVuSans.ttf

	rm -f $(CURDIR)/debian/renpy/usr/share/games/renpy/launcher/DejaVuSans.ttf
	dh_link -prenpy /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
		usr/share/games/renpy/launcher/DejaVuSans.ttf

	rm -f $(CURDIR)/debian/renpy/usr/share/games/renpy/launcher/DejaVuSerif.ttf
	dh_link -prenpy /usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif.ttf \
		usr/share/games/renpy/launcher/DejaVuSerif.ttf

	dh_install -prenpy-doc doc/* usr/share/doc/renpy/html

install-arch: build $(PYVERS:%=install-python%)

install-python%:
	dh_testdir
	dh_testroot
	export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL) ; \
		cd module && python$* setup.py install \
			--no-compile \
			--root=$(CURDIR)/debian/python-renpy \
			;
	touch $@

install: install-arch install-indep

# Build architecture-independent files here.
binary-indep: install-indep
	dh_testdir
	dh_testroot
	rm -fv `find debian -name license.txt`
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
	dh_installman -prenpy debian/renpy.6
	dh_installman -prenpy-demo debian/renpy-demo.6
	dh_installman -prenpy-thequestion debian/the_question.6
	#dh_installdirs -prenpy usr/share/lintian/overrides/
	#dh_install -prenpy debian/overrides/renpy usr/share/lintian/overrides/
	dh_compress -i --exclude=.js --exclude=.pdf --exclude=.py --exclude=.txt
	dh_fixperms -i
	dh_pysupport -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_pysupport -a
	dh_strip -a
	dh_compress -a --exclude=.js --exclude=.pdf --exclude=.py --exclude=.txt
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install-indep install-arch install configure get-doc
.PHONY: get-orig-source

## renpy 6.13.12

=== debian/changelog ===
renpy (6.13.12-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release
  * Refreshed patches
  * Upgraded Standards-Version from 3.9.2 to 3.9.3
  * Added build-indep and build-arch targets

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 02 Jun 2012 01:07:45 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libavutil-dev, libavformat-dev, libavcodec-dev, libswscale-dev,
  libfribidi-dev, libglew1.5-dev, zlib1g-dev, libfreetype6-dev,
  libpng12-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.renpy.org/
 XS-Python-Version: >= 2.6
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/renpy/
@@ -80,7 +80,7 @@
 Package: renpy-thequestion
 Architecture: all
 Depends: renpy (= ${source:Version}), ${python:Depends}, ${misc:Depends}
-Description: the question, a simple and complete Ren'Py game
+Description: simple and complete Ren'Py game
  Ren'Py is a programming language and runtime, intended to ease the creation
  of visual-novel type games. It contains features that make it easy to
  display thoughts, dialogue, and menus; to display images to the user; to

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,12 @@
 	chmod 644 `find */ -name "*.py"`
 	chmod +x renpy.py
 	touch configure-stamp
+
+build-arch: build-stamp
+
+build-indep: build-stamp
+
+build: build-arch build-indep
 
 build: build-stamp
 build-stamp: configure $(PYVERS:%=build-python%)
@@ -155,5 +161,5 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install-indep install-arch install configure get-doc
-.PHONY: get-orig-source
+.PHONY: build-indep build-arch build binary-indep binary-arch binary install-indep install-arch install
+.PHONY: clean configure get-doc get-orig-source

## renpy 6.15.7

=== debian/changelog ===
renpy (6.15.7-1ubuntu1) trusty; urgency=medium

  * Apply patch from https://github.com/renpy/renpy/commit/608a55b to fix
    compilation with freetype 2.5.1 (closes: #732375).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jan 2014 14:53:15 +0000

renpy (6.15.7-1build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 10 Nov 2013 01:03:14 +0000

renpy (6.15.7-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Miriam Ruiz ]
  * New Upstream Release. Closes: #721026
  * Upgraded Standards-Version from 3.9.3 to 3.9.4
  * Upgraded compat level to 9
  * Fortified the building of the module

 -- Miriam Ruiz <miriam@debian.org>  Fri, 30 Aug 2013 22:10:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: renpy
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Miriam Ruiz <little_miry@yahoo.es>
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.13.19), quilt,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Miriam Ruiz <miriam@debian.org>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.19), quilt,
  python-all-dev, python-support (>= 0.6.4), python-setuptools,
  python-pygame (>= 1.8.1), libsdl1.2-dev, libsdl-image1.2-dev,
  libsdl-sound1.2-dev, libsdl-ttf2.0-dev, libmodplug-dev, libspeex-dev,
  libavutil-dev, libavformat-dev, libavcodec-dev, libswscale-dev,
  libfribidi-dev, libglew1.5-dev, zlib1g-dev, libfreetype6-dev,
  libpng12-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.renpy.org/
 XS-Python-Version: >= 2.6
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/renpy/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/renpy/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/renpy/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/renpy/
 
 Package: renpy
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+LDFLAGS2:=-Wl,-z,defs  -Wl,-as-needed -Wl,--no-undefined
 
 PYVERS=$(shell pyversions -vs)
 RENPY_DEPS_INSTALL="/usr::$(shell dirname "`find -O2 /usr/lib -name libfreetype.so 2>/dev/null`")"
@@ -14,7 +20,7 @@
 configure-stamp:
 	dh_testdir
 	$(MAKE) -f /usr/share/quilt/quilt.make patch
-	chmod 644 `find */ -name "*.py"`
+	find */ -name "*.py" | while read F; do chmod --verbose 644 "$$F"; done
 	chmod +x renpy.py
 	touch configure-stamp
 
@@ -32,6 +38,8 @@
 build-python%: configure-stamp
 	dh_testdir
 	export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL) ; \
+		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
+		LDFLAGS="$(LDFLAGS) $(LDFLAGS2)" \
 		cd module && python$* setup.py build
 	touch $@
 
@@ -63,15 +71,12 @@
 	dh_clean -k 
 	dh_installdirs
 
-	# common/ - A directory containing common script files that help Ren'Py work.
-	dh_install -prenpy common/* usr/share/games/renpy/common/
-
 	# renpy/ - Contains the python source code for Ren'Py.
-	dh_install -prenpy  renpy/* usr/share/games/renpy/renpy/
+	dh_install -prenpy  renpy usr/share/games/renpy/
 	# data/ - Contains the data for the launcher.
-	dh_install -prenpy  launcher/* usr/share/games/renpy/launcher/
+	dh_install -prenpy  launcher usr/share/games/renpy/
 	# Scripts that give additional features.
-	dh_install -prenpy  template/* usr/share/games/renpy/template/
+	dh_install -prenpy  template usr/share/games/renpy/
 
 	dh_install -prenpy-demo tutorial/* usr/share/games/renpy/demo/
 	chmod +x debian/renpy-demo.sh
@@ -162,4 +167,4 @@
 
 binary: binary-indep binary-arch
 .PHONY: build-indep build-arch build binary-indep binary-arch binary install-indep install-arch install
-.PHONY: clean configure get-doc get-orig-source
+.PHONY: clean configure get-doc

=== debian/watch ===
version=3

opts="dversionmangle=s/\.dfsg\d//" \
	http://www.renpy.org/wiki/renpy/Download_Ren%27Py \
	.*dl/[\d\.]*/renpy-([\d\.]*)-sdk\.tar\.bz2

## renpy 6.17.6

=== debian/changelog ===
renpy (6.17.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Tighten dependency of penpy on same version of python-renpy" (Closes:
    #753756)

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Aug 2014 19:09:07 +0200

renpy (6.17.6-1) unstable; urgency=medium

  [ Miriam Ruiz ]
  * New Upstream Release. Closes: #690984
  * Added libavresample-dev to Build-Depends. Closes: #732333
    Thanks to Gregor Riepl.
  * Refreshed patches.
  * Added zenity to renpy Recommends. Closes:#707936
  * Added to renpy Depends: fonts-roboto, fonts-motoya-l-cedar, fonts-nanum
  * Moved to dh_python2. It was time!
  * Added cython to Build-Depends

 -- Miriam Ruiz <miriam@debian.org>  Mon, 30 Jun 2014 20:15:52 +0200

renpy (6.16.5-1) unstable; urgency=medium

  [ Miriam Ruiz ]
  * New Upstream Release.
    - CLoses: #732375 (Ren'Py fails to build due to freetype2 detection error)
  * Upgraded Standards-Version from 3.9.4 to 3.9.5
  * Removed potential privacy breach by fetching data from Google at runtime in
    the documentation files

 -- Miriam Ruiz <miriam@debian.org>  Wed, 19 Feb 2014 00:42:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: renpy
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Miriam Ruiz <miriam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.19), quilt,
- python-all-dev, python-support (>= 0.6.4), python-setuptools,
+ python-all-dev, dh-python, python-setuptools,
  python-pygame (>= 1.8.1), libsdl1.2-dev, libsdl-image1.2-dev,
  libsdl-sound1.2-dev, libsdl-ttf2.0-dev, libmodplug-dev, libspeex-dev,
  libavutil-dev, libavformat-dev, libavcodec-dev, libswscale-dev,
  libfribidi-dev, libglew1.5-dev, zlib1g-dev, libfreetype6-dev,
- libpng12-dev
-Standards-Version: 3.9.4
+ libpng12-dev, libavresample-dev, cython
+Standards-Version: 3.9.5
 Homepage: http://www.renpy.org/
 XS-Python-Version: >= 2.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/renpy/
@@ -19,9 +18,10 @@
 
 Package: renpy
 Architecture: all
-Depends: python-pygame (>= 1.8.1), python-renpy, ttf-dejavu-core,
- ${python:Depends}, ${misc:Depends}
-Recommends: python-ctypes
+Depends: python-pygame (>= 1.8.1), python-renpy (>= ${source:Version}),
+ python-renpy (<< ${source:Version}.1~), ttf-dejavu-core, fonts-roboto,
+ fonts-motoya-l-cedar, fonts-nanum, ${python:Depends}, ${misc:Depends}
+Recommends: python-ctypes, zenity
 Description: framework for developing visual-novel type games
  Ren'Py is a programming language and runtime, intended to ease the creation
  of visual-novel type games. It contains features that make it easy to
@@ -68,7 +68,8 @@
 
 Package: renpy-demo
 Architecture: all
-Depends: renpy (= ${source:Version}), ${python:Depends}, ${misc:Depends}
+Depends: renpy (= ${source:Version}), ${python:Depends}, ${misc:Depends},
+ fonts-motoya-l-cedar
 Description: framework for developing visual-novel type games - demo
  Ren'Py is a programming language and runtime, intended to ease the creation
  of visual-novel type games. It contains features that make it easy to

=== debian/rules ===
--- 
+++ 
@@ -46,11 +46,11 @@
 clean: configure
 	dh_testdir
 	dh_testroot
-	rm -rf `find . -name "*.rpyc"`
+
+	rm -rf module/build/
+
 	rm -f build-stamp configure-stamp
 	rm -f build-python* install-python*
-	-export RENPY_DEPS_INSTALL=$(RENPY_DEPS_INSTALL); cd module && python setup.py clean
-	rm -rf module/build/
 
 	rm -rfv renpy.app lib jedit
 	rm -fv `find . -name "*.exe"`
@@ -62,13 +62,24 @@
 	rm -fv `find . -name "*.pyo"`
 	rm -fv `find . -name "*.so"`
 
+	rm -fv module/gen/renpy.style*.c
+	rm -fv module/gen/renpy.style*.html
+	rm -fv module/gen/style*.html
+
 	$(MAKE) -f /usr/share/quilt/quilt.make unpatch
+
+	rm -fv \
+		module/gen/styleconstants.pxi \
+		module/gen/stylepropertyfunctions.pxi \
+		module/gen/stylesets.pxi \
+		module/gen/styleproperties.pxi
+
 	dh_clean 
 
 install-indep:
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep -i
 	dh_installdirs
 
 	# renpy/ - Contains the python source code for Ren'Py.
@@ -76,7 +87,7 @@
 	# data/ - Contains the data for the launcher.
 	dh_install -prenpy  launcher usr/share/games/renpy/
 	# Scripts that give additional features.
-	dh_install -prenpy  template usr/share/games/renpy/
+	dh_install -prenpy  templates usr/share/games/renpy/
 
 	dh_install -prenpy-demo tutorial/* usr/share/games/renpy/demo/
 	chmod +x debian/renpy-demo.sh
@@ -109,6 +120,38 @@
 	rm -f $(CURDIR)/debian/renpy/usr/share/games/renpy/launcher/DejaVuSerif.ttf
 	dh_link -prenpy /usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif.ttf \
 		usr/share/games/renpy/launcher/DejaVuSerif.ttf
+
+	rm -f $(CURDIR)/debian/renpy/usr/share/games/renpy/launcher/game/Roboto-Light.ttf
+	dh_link -prenpy /usr/share/fonts/truetype/roboto/Roboto-Light.ttf \
+		usr/share/games/renpy/launcher/game/Roboto-Light.ttf
+
+	rm -f $(CURDIR)/debian/renpy/usr/share/games/renpy/launcher/game/Roboto-Regular.ttf
+	dh_link -prenpy /usr/share/fonts/truetype/roboto/Roboto-Regular.ttf \
+		usr/share/games/renpy/launcher/game/Roboto-Regular.ttf
+
+	rm -f $(CURDIR)/debian/renpy/usr/share/games/renpy/launcher/game/tl/japanese/MTLc3m.ttf
+	dh_link -prenpy /usr/share/fonts/truetype/motoya-l-cedar/MTLc3m.ttf \
+		usr/share/games/renpy/launcher/game/tl/japanese/MTLc3m.ttf
+
+	rm -f $(CURDIR)/debian/renpy/usr/share/games/renpy/launcher/game/tl/korean/NanumGothic.ttf
+	dh_link -prenpy /usr/share/fonts/truetype/nanum/NanumGothic.ttf \
+		usr/share/games/renpy/launcher/game/tl/korean/NanumGothic.ttf
+
+	rm -f $(CURDIR)/debian/renpy/usr/share/games/renpy/renpy/common/DejaVuSans.ttf
+	dh_link -prenpy /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf \
+		usr/share/games/renpy/renpy/common/DejaVuSans.ttf
+
+	rm -f $(CURDIR)/debian/renpy/usr/share/games/renpy/templates/japanese/game/tl/None/MTLc3m.ttf
+	dh_link -prenpy /usr/share/fonts/truetype/motoya-l-cedar/MTLc3m.ttf \
+		usr/share/games/renpy/templates/japanese/game/tl/None/MTLc3m.ttf
+
+	rm -f $(CURDIR)/debian/renpy/usr/share/games/renpy/templates/korean/game/tl/None/NanumGothic.ttf
+	dh_link -prenpy /usr/share/fonts/truetype/nanum/NanumGothic.ttf \
+		usr/share/games/renpy/templates/korean/game/tl/None/NanumGothic.ttf
+
+	rm -f $(CURDIR)/debian/renpy-demo/usr/share/games/renpy/demo/game/tl/japanese/MTLc3m.ttf
+	dh_link -prenpy-demo /usr/share/fonts/truetype/motoya-l-cedar/MTLc3m.ttf \
+		usr/share/games/renpy/demo/game/tl/japanese/MTLc3m.ttf
 
 	dh_install -prenpy-doc doc/* usr/share/doc/renpy/html
 
@@ -140,9 +183,18 @@
 	dh_installman -prenpy-thequestion debian/the_question.6
 	#dh_installdirs -prenpy usr/share/lintian/overrides/
 	#dh_install -prenpy debian/overrides/renpy usr/share/lintian/overrides/
+
+	#Fix Privacy Issues
+	cd $(CURDIR)/debian/renpy-doc/usr/share/doc/renpy/html/ && \
+		ls *.html | while read f; do \
+			cp "$$f" "$$f.orig"; \
+			cat "$$f.orig" \
+				| awk -vnum=10 '/http:\/\/www.google.com\/jsapi/{for(i=0;i<=num;i++)getline}1' > "$$f"; \
+		done; rm *.orig
+
 	dh_compress -i --exclude=.js --exclude=.pdf --exclude=.py --exclude=.txt
 	dh_fixperms -i
-	dh_pysupport -i
+	dh_python2 -i
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -155,7 +207,7 @@
 	dh_installchangelogs -a
 	dh_installdocs -a
 	dh_installexamples -a
-	dh_pysupport -a
+	dh_python2 -a
 	dh_strip -a
 	dh_compress -a --exclude=.js --exclude=.pdf --exclude=.py --exclude=.txt
 	dh_fixperms -a
